# Interface TapResultProducer

public interface TapResultProducer
Object which can get the output table from a TapQuery.

Since:
  23 Feb 2011
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.table.StarTable`
`waitForResult(uk.ac.starlink.vo.UwsJob tapJob)`
Waits until the TAP query has completed, and then either returns the output table or throws an appropriate error.

## Method Details

### waitForResult

uk.ac.starlink.table.StarTable waitForResult(uk.ac.starlink.vo.UwsJob tapJob) throws IOException
Waits until the TAP query has completed, and then either returns the output table or throws an appropriate error.

Parameters:
  `tapJob` - UWS job representing an async TAP query
Returns:
  table result
Throws:
  `InterruptedIOException` - if the wait is interrupted
  `IOException` - if the query ended in error status or some other error occurred during TAP communications